Output file extension in batch mode
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18856

Description

When we give the name to the output file of the various algorithms executed in normal mode, Processing adds the extension,

automatically.

Running the same algorithms, but in batch mode, the extension is not appended.

Associated revisions

Revision 7f061d2d - 2015-10-01 08:11 AM - Victor Olaya

[processing] fixed adding extension to output filenames in batch interface

fixes #10444

History

#1 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#2 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#3 - 2015-09-30 01:22 AM - Victor Olaya

- Status changed from Open to Feedback

Just tried with a few algorithms, and it seems to add the extension. It works fine with any of the autofill options.

Please confirm that this is still an issue or we should close the ticket

#4 - 2015-09-30 01:37 PM - Pedro Venâncio

Hi Victor,

I compiled QGIS master and tested and this is still true. Please see the screencast:

https://dl.dropboxusercontent.com/u/5772257/qgis/batch_extension.ogv

My Processing version is 2.10.99. I'm testing in Linux.
https://dl.dropboxusercontent.com/u/5772257/qgis/batch_extension.ogv


Thanks Victor

#5 - 2015-09-30 11:11 PM - Victor Olaya

- Status changed from Feedback to Closed

Fixed in changeset commit:"7f061d2d75e549a72efe8626b7ed9d31ee982ccd".
